Can't install MSIX Packaging Tool

%3CLINGO-SUB%20id%3D%22lingo-sub-222180%22%20slang%3D%22en-US%22%3ECan't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-222180%22%20slang%3D%22en-US%22%3E%3CP%3EHi%20All%2C%3C%2FP%3E%3CP%3EI've%20insider%20build%2017713%26nbsp%3Binstalled%20at%20hyper-v%2C%20but%20I%20can't%20install%20MSIX%20Packaging%20tool%20store%20app.%20The%20system%20requirements%20show%20an%20invalid%20version%20of%20the%20os%20(17124).%26nbsp%3B%3C%2FP%3E%3CP%3ENeed%20help.%3C%2FP%3E%3CP%3EThanks%20Andreas%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-226022%22%20slang%3D%22en-US%22%3ERe%3A%20RE%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-226022%22%20slang%3D%22en-US%22%3E%3CP%3EHi%20Johannes%2C%3C%2FP%3E%3CP%3Ethanks%20for%20your%20help.%20The%20device%20and%20the%20store%20are%26nbsp%3Bjoined%20with%20my%20live-account.%20The%20device%20is%20listed%20in%20my%20account%20webpage.%3C%2FP%3E%3CP%3EIt's%20Magic%20%3B)%3C%2Fimg%3E%3C%2FP%3E%3CP%3Ethx%20Andreas%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-226017%22%20slang%3D%22en-US%22%3ERe%3A%20RE%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-226017%22%20slang%3D%22en-US%22%3E%3CP%3EHi%20Andreas%2C%3C%2FP%3E%3CP%3Ethe%20list%20typically%20is%20empty%20as%20long%20as%20you%20didn't%20join%20the%20device%20to%20your%20life-account%20or%2Fand%20your%20store%20doesn't%20have%20an%20account%20attached.%3C%2FP%3E%3CP%3ECould%20you%20check%20this%3F%3C%2FP%3E%3CP%3EHave%20a%20great%20start%3C%2FP%3E%3CP%3E%2FJohannes%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-225756%22%20slang%3D%22en-US%22%3ERE%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-225756%22%20slang%3D%22en-US%22%3EThanks%20Johannes.%20It%20doesn't%20work%20for%20me.%20The%20dialog%20%22Install%20on%20my%20devices%22%20is%20empty.%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-225054%22%20slang%3D%22en-US%22%3ERe%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-225054%22%20slang%3D%22en-US%22%3E%3CP%3EHi%26nbsp%3BAndreas%2C%3C%2FP%3E%3CP%3EI%20had%20the%20same%20issue%20on%20one%20box.%20Just%20use%20the%20%22...%22%20(three%20dots)%20beside%20install%20and%20choose%20%22Install%20on%20my%20devices%22%20and%20choose%20the%20device%20you're%20currently%20on...%20worked%20for%20me%20-%20even%20though%20I%20didn't%20know%20the%20exact%20issue%20(Version%20was%20high%20enough%20as%20well).%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-222258%22%20slang%3D%22en-US%22%3ERE%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-222258%22%20slang%3D%22en-US%22%3EHi%20Frank.%20Thanks%20for%20your%20help.%20It%20doesn't%20work%20in%20my%20environment.%20Sorry.%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-222237%22%20slang%3D%22en-US%22%3ERe%3A%20Can't%20install%20MSIX%20Packaging%20Tool%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-222237%22%20slang%3D%22en-US%22%3E%3CP%3EI%20had%20the%20same%20issue%20and%20reported%20it%20through%20Feedback%20Hub.%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3E%3CA%20href%3D%22https%3A%2F%2Faka.ms%2FAA1yz4x%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Faka.ms%2FAA1yz4x%3C%2FA%3E%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3EI%20had%20to%20go%20to%20the%20Store%20from%20another%20machine%20(or%20host%20-%20doesn't%20matter%20if%20it%20is%20an%20Insider%20build%20or%20not)%20and%20clicked%20the%20ellipsis%20button%20next%20to%20the%20disabled%20Install%20button%2C%20selected%20%22install%20on%20my%20devices%22%2C%20and%20checked%20my%26nbsp%3Bvirtual%20machine%20and%20it%20installed.%3C%2FP%3E%3C%2FLINGO-BODY%3E
Highlighted
Contributor

Hi All,

I've insider build 17713 installed at hyper-v, but I can't install MSIX Packaging tool store app. The system requirements show an invalid version of the os (17124). 

Need help.

Thanks Andreas

 

6 Replies
Highlighted

I had the same issue and reported it through Feedback Hub.

 

https://aka.ms/AA1yz4x

 

I had to go to the Store from another machine (or host - doesn't matter if it is an Insider build or not) and clicked the ellipsis button next to the disabled Install button, selected "install on my devices", and checked my virtual machine and it installed.

Highlighted
Hi Frank. Thanks for your help. It doesn't work in my environment. Sorry.
Highlighted

Hi Andreas,

I had the same issue on one box. Just use the "..." (three dots) beside install and choose "Install on my devices" and choose the device you're currently on... worked for me - even though I didn't know the exact issue (Version was high enough as well).

 

Highlighted
Thanks Johannes. It doesn't work for me. The dialog "Install on my devices" is empty.
Highlighted

Hi Andreas,

the list typically is empty as long as you didn't join the device to your life-account or/and your store doesn't have an account attached.

Could you check this?

Have a great start

/Johannes

Hi Johannes,

thanks for your help. The device and the store are joined with my live-account. The device is listed in my account webpage.

It's Magic ;)

thx Andreas